Package: org.grails.plugins.web

## [Groovy] Class GroovyPagesGrailsPlugin

- org.grails.plugins.web.GroovyPagesGrailsPlugin

- Sets up and configures the GSP and GSP tag library support in Grails.

  Authors:
    Graeme Rocher
  Since:
    1.1

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `GSP_RELOAD_INTERVAL` |
    `static java.lang.String` | `GSP_VIEWS_DIR` |
    `static java.lang.String` | `GSP_VIEW_LAYOUT_RESOLVER_ENABLED` |
    `static java.lang.String` | `SITEMESH_DEFAULT_LAYOUT` |
    `static java.lang.String` | `SITEMESH_ENABLE_NONGSP` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.lang.Object` | `dependsOn`
    `java.lang.Object` | `loadAfter`
    `java.lang.Object` | `observe`
    `java.lang.Object` | `providedArtefacts`
    `java.lang.Object` | `version` /*TagLib.groovy", "file:.
    `java.lang.Object` | `watchedResources`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `doWithApplicationContext()` Clear the page cache with the ApplicationContext is loaded
    `` | `groovy.lang.Closure` | `doWithSpring()` Configures the various Spring beans required by GSP
    `` | `protected boolean` | `isDevelopmentMode()`
    `` | `void` | `onChange(java.util.Map<java.lang.String, java.lang.Object> event)`
    `` | `void` | `onConfigChange(java.util.Map<java.lang.String, java.lang.Object> event)`
    `` | `static java.lang.String` | `transformToValidLocation(java.lang.String location)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Plugin` | `beans, doWithApplicationContext, doWithDynamicMethods, doWithSpring, getApplicationContext, getConfig, getManager, onChange, onConfigChange, onShutdown, onStartup, setApplicationContext`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final java.lang.String GSP_RELOAD_INTERVAL

    - #### public static final java.lang.String GSP_VIEWS_DIR

    - #### public static final java.lang.String GSP_VIEW_LAYOUT_RESOLVER_ENABLED

    - #### public static final java.lang.String SITEMESH_DEFAULT_LAYOUT

    - #### public static final java.lang.String SITEMESH_ENABLE_NONGSP

  - ### Property Detail

    - #### java.lang.Object dependsOn

    - #### java.lang.Object loadAfter

    - #### java.lang.Object observe

    - #### java.lang.Object providedArtefacts

    - #### java.lang.Object version

      /*TagLib.groovy", "file:./grails-app/taglib/*

    - #### java.lang.Object watchedResources

  - ### Method Detail

    - #### @groovy.transform.CompileStatic @java.lang.Override void doWithApplicationContext()

      Clear the page cache with the ApplicationContext is loaded

    - #### groovy.lang.Closure doWithSpring()

      Configures the various Spring beans required by GSP

    - #### protected boolean isDevelopmentMode()

    - #### @java.lang.Override void onChange(java.util.Map<java.lang.String, java.lang.Object> event)

    - #### @groovy.transform.CompileStatic void onConfigChange(java.util.Map<java.lang.String, java.lang.Object> event)

    - #### static java.lang.String transformToValidLocation(java.lang.String location)